View Issue Details

IDProjectCategoryView StatusLast Update
0002603SymmetricDSImprovementpublic2016-08-09 13:10
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002603: Retry batches from staging instead of sending them again
DescriptionWhen one of the batches in a sync session gets an error, the source node will start another sync session and resend all the same batches again. When staging is enabled, the target node already has the batches in staging and doesn't need them resent. Add a "RETRY, #" token in the CSV protocol that is similar to "BATCH, #" but will ask the target node to use the batch from its staging. If the staging is missing, the target node should acknowledge with a status of RS for resend, causing the source node to resend the batch.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 a95793ab

2016-05-19 18:40:04

admin

Details Diff
0002603: Retry batches from staging instead of sending them again
0002603
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/BatchAck.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/OutgoingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvConstants.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/SimpleStagingDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.8 b96aa9dc

2016-05-31 14:12:22

admin

Details Diff
0002603: Retry batches from staging instead of sending them again
0002603
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.8 3fad3ec3

2016-06-02 16:57:05

admin

Details Diff
0002603: Retry batches from staging instead of sending them again
0002603
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.8 4e434ac7

2016-07-27 15:44:25

admin

Details Diff
0002603: Retry batches from staging instead of sending them again
0002603
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2016-05-19 18:38 elong New Issue
2016-05-19 18:38 elong Status new => assigned
2016-05-19 18:38 elong Assigned To => elong
2016-05-19 18:42 elong Status assigned => resolved
2016-05-19 18:42 elong Fixed in Version => 3.8.0
2016-05-19 18:42 elong Resolution open => fixed
2016-05-19 19:00 admin Changeset attached => SymmetricDS 3.8 a95793ab
2016-05-31 15:00 admin Changeset attached => SymmetricDS 3.8 b96aa9dc
2016-06-02 17:00 admin Changeset attached => SymmetricDS 3.8 3fad3ec3
2016-07-27 16:00 admin Changeset attached => SymmetricDS 3.8 4e434ac7
2016-08-09 13:10 admin Status resolved => closed